%define major		2
%define libname		%mklibname %{name} %major
%define develname	%mklibname -d %{name}

Summary:	Stream Engine to handle media streaming channels
Name:		telepathy-farstream
Version:	0.2.3
Release:	%mkrel 2
Source0:	http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		http://telepathy.freedesktop.org/wiki/
BuildRequires:	dbus-glib-devel
BuildRequires:	libtelepathy-glib-devel >= 0.13.4
BuildRequires:	farstream-devel
BuildRequires:	gstreamer0.10-python-devel
BuildRequires:	python-devel
# Added	04/2012	(wally)
Obsoletes:	telepathy-farsight

%description
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{libname}
Group:		System/Libraries
Summary:	Stream Engine to handle media streaming channels
# Added	04/2012	(wally)
Obsoletes:	%{_lib}telepathy-farsight0

%description -n %{libname}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{develname}
Group:		Development/C
Summary:	Stream Engine to handle media streaming channels
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
# Added	04/2012	(wally)
Obsoletes:	%{_lib}telepathy-farsight-devel

%description -n %{develname}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n python-%{name}
Group:		Development/Python
Summary:	Stream Engine to handle media streaming channels
Requires:	%{libname} = %{version}-%{release}
Requires:	gstreamer0.10-python
# Added 04/2012 (wally)
Obsoletes:	python-telepathy-farsight

%description -n python-%{name}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libtelepathy-farstream.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/libtelepathy-farstream.so
%{_includedir}/telepathy-1.0/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitearch}/tpfarstream.*


%changelog

* Sun Apr 15 2012 wally <wally> 0.2.3-2.mga2
+ Revision: 230861
- obsolete old telepathy-farsight pkgs
- tag some doc files as such

* Thu Apr 12 2012 mikala <mikala> 0.2.3-1.mga2
+ Revision: 230411
- Updat tarball to 0.2.3

* Fri Feb 24 2012 mitya <mitya> 0.2.1-1.mga2
+ Revision: 213642
- New version 0.2.1; depend on farstream instead of farsight2

* Mon Nov 21 2011 wally <wally> 0.1.2-1.mga2
+ Revision: 170519
- new version 0.1.2
- clean .spec a bit

* Tue Jul 19 2011 ahmad <ahmad> 0.1.1-1.mga2
+ Revision: 126412
- Disable static build
- Adapt the spec to the name change
- Drop BR gtk-doc
- Copy telepathy-farsight to telepathy-farstream in SVN

  + mikala <mikala>
    - Update tarball to 0.0.19

* Sat Apr 16 2011 pterjan <pterjan> 0.0.17-1.mga1
+ Revision: 86570
- Update to 0.0.17

* Tue Apr 05 2011 dams <dams> 0.0.16-1.mga1
+ Revision: 80765
- update to 0.16 and update deps

* Sun Feb 20 2011 eandry <eandry> 0.0.15-2.mga1
+ Revision: 54852
- drop buildroot
- imported package telepathy-farsight

